#!/bin/sh
if [ ! -s API_KEY ]; then
	echo "put ur api key in API_KEY pwetty pwease"
	exit 1
fi
api=$(cat API_KEY)
./build.sh

tmpfile=$(mktemp)
tar -C public/ -cvz . > $tmpfile
trap "rm $tmpfile" EXIT
curl --oauth2-bearer "$api" -Fcontent=@"$tmpfile" https://pages.sr.ht/publish/lemurianmage.srht.site
